List Product Catalog Records

This endpoint retrieves product catalog records exported from PSA integrations. The endpoint supports filtering and sorting based on various criteria.

A product catalog record represents a PSA product or item with source identifiers, classification fields, pricing, activity state, and integration lineage.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
^(eq|in):.+$

Filters records by using a query string on the field id.

Supports comparison operators: eq, in.

Query examples:

  • filter[id]=example_value - to filter for exact match.

  • filter[id]=eq:example_value - to filter for exact match.

  • filter[id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field source_system.

Supports comparison operators: eq, in.

Query examples:

  • filter[source_system]=example_value - to filter for exact match.

  • filter[source_system]=eq:example_value - to filter for exact match.

  • filter[source_system]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field source_product_id.

Supports comparison operators: eq, in.

Query examples:

  • filter[source_product_id]=example_value - to filter for exact match.

  • filter[source_product_id]=eq:example_value - to filter for exact match.

  • filter[source_product_id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field source_product_identifier.

Supports comparison operators: eq, in.

Query examples:

  • filter[source_product_identifier]=example_value - to filter for exact match.

  • filter[source_product_identifier]=eq:example_value - to filter for exact match.

  • filter[source_product_identifier]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(cont|eq|in):.+$

Filters records by using a query string on the field name.

Supports comparison operators: eq, in, cont.

Query examples:

  • filter[name]=example_value - to filter for exact match.

  • filter[name]=eq:example_value - to filter for exact match.

  • filter[name]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

  • filter[name]=cont:word - to filter using a partial match.

string
^(eq|in):.+$

Filters records by using a query string on the field category.

Supports comparison operators: eq, in.

Query examples:

  • filter[category]=example_value - to filter for exact match.

  • filter[category]=eq:example_value - to filter for exact match.

  • filter[category]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field subcategory.

Supports comparison operators: eq, in.

Query examples:

  • filter[subcategory]=example_value - to filter for exact match.

  • filter[subcategory]=eq:example_value - to filter for exact match.

  • filter[subcategory]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field product_type.

Supports comparison operators: eq, in.

Query examples:

  • filter[product_type]=example_value - to filter for exact match.

  • filter[product_type]=eq:example_value - to filter for exact match.

  • filter[product_type]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field product_class.

Supports comparison operators: eq, in.

Query examples:

  • filter[product_class]=example_value - to filter for exact match.

  • filter[product_class]=eq:example_value - to filter for exact match.

  • filter[product_class]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field manufacturer_name.

Supports comparison operators: eq, in.

Query examples:

  • filter[manufacturer_name]=example_value - to filter for exact match.

  • filter[manufacturer_name]=eq:example_value - to filter for exact match.

  • filter[manufacturer_name]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq):.+$

Filters records by using a query string on the field is_active.

Supports comparison operators: eq.

Query examples:

  • filter[is_active]=true - to filter for exact match.

  • filter[is_active]=eq:true - to filter for exact match.

string
^(gt|gte|lt|lte):.+$

Filters records by using a query string on the field updated_at.

Supports comparison operators: gt, gte, lt, lte.

Query examples:

  • filter[updated_at]=gt:2023-01-01T00:00:00Z - to filter for dates after

  • filter[updated_at]=gte:2023-01-01T00:00:00Z - to filter for dates after or on

  • filter[updated_at]=lt:2023-01-01T00:00:00Z - to filter for dates before

  • filter[updated_at]=lte:2023-01-01T00:00:00Z - to filter for dates before or on

string
^(eq|in):.+$

Filters records by using a query string on the field record_lineage.source_record_id.

Supports comparison operators: eq, in.

Query examples:

  • filter[record_lineage.source_record_id]=example_value - to filter for exact match.

  • filter[record_lineage.source_record_id]=eq:example_value - to filter for exact match.

  • filter[record_lineage.source_record_id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field record_lineage.integration_configuration.id.

Supports comparison operators: eq, in.

Query examples:

  • filter[record_lineage.integration_configuration.id]=example_value - to filter for exact match.

  • filter[record_lineage.integration_configuration.id]=eq:example_value - to filter for exact match.

  • filter[record_lineage.integration_configuration.id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field record_lineage.integration_configuration.vendor.id.

Supports comparison operators: eq, in.

Query examples:

  • filter[record_lineage.integration_configuration.vendor.id]=example_value - to filter for exact match.

  • filter[record_lineage.integration_configuration.vendor.id]=eq:example_value - to filter for exact match.

  • filter[record_lineage.integration_configuration.vendor.id]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(eq|in):.+$

Filters records by using a query string on the field record_lineage.integration_configuration.vendor.brand_name.

Supports comparison operators: eq, in.

Query examples:

  • filter[record_lineage.integration_configuration.vendor.brand_name]=example_value - to filter for exact match.

  • filter[record_lineage.integration_configuration.vendor.brand_name]=eq:example_value - to filter for exact match.

  • filter[record_lineage.integration_configuration.vendor.brand_name]=in:example_value_1,example_value_2,example_value_3 - to filter when any item in the list matches.

string
^(gt|gte|lt|lte):.+$

Filters records by using a query string on the field record_created_at.

Supports comparison operators: gt, gte, lt, lte.

Query examples:

  • filter[record_created_at]=gt:2023-01-01T00:00:00Z - to filter for dates after

  • filter[record_created_at]=gte:2023-01-01T00:00:00Z - to filter for dates after or on

  • filter[record_created_at]=lt:2023-01-01T00:00:00Z - to filter for dates before

  • filter[record_created_at]=lte:2023-01-01T00:00:00Z - to filter for dates before or on

string
^(gt|gte|lt|lte):.+$

Filters records by using a query string on the field record_updated_at.

Supports comparison operators: gt, gte, lt, lte.

Query examples:

  • filter[record_updated_at]=gt:2023-01-01T00:00:00Z - to filter for dates after

  • filter[record_updated_at]=gte:2023-01-01T00:00:00Z - to filter for dates after or on

  • filter[record_updated_at]=lt:2023-01-01T00:00:00Z - to filter for dates before

  • filter[record_updated_at]=lte:2023-01-01T00:00:00Z - to filter for dates before or on

string
^[+-]?(source_system|source_product_id|source_product_identifier|name|category|subcategory|product_type|product_class|manufacturer_name|unit_cost|unit_price|is_active|updated_at|record_created_at|record_updated_at)(,[+-]?(source_system|source_product_id|source_product_identifier|name|category|subcategory|product_type|product_class|manufacturer_name|unit_cost|unit_price|is_active|updated_at|record_created_at|record_updated_at))*$

One or more sortable fields, separated by commas. Prefix with '+' to sort ascending or '-' to sort descending.

Sortable fields: source_system, source_product_id, source_product_identifier, name, category, subcategory, product_type, product_class, manufacturer_name, unit_cost, unit_price, is_active, updated_at, record_created_at, record_updated_at.

int32
1 to 200

The number of records to be returned in a single page

string

The pointer used to fetch a certain page of records

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json